--[[

Name: EpeenFu
Revision: $Revision: 26721 $
Date: $Date: 2007-01-31 15:17:44 -0500 (Wed, 31 Jan 2007) $
Author(s): benumbed (someone@somewhere.com)
Website: http://www.wowace.com/wiki/Epeen
Documentation: http://www.wowace.com/wiki/Epeen
SVN: http://svn.wowace.com/root/trunk/Epeen
Description: A FuBar Plugin for Epeen.
Dependencies: Ace2

]]--

--- ========================================================= ---
--- Check to make sure Epeen is there
--- ========================================================= ---
if not Epeen then return end

--- ========================================================= ---
--- Check to make sure FuBarPlugin 2.0 is there
--- ========================================================= ---
if not AceLibrary:HasInstance("FuBarPlugin-2.0") then return end

--- ========================================================= ---
--- Add Locale
--- ========================================================= ---
local L = AceLibrary("AceLocale-2.2"):new("EpeenFu")

L:RegisterTranslations("enUS", function() return {
    ["Epeen"] = true,
	["Toggle visibility of %s"] = true,
    ["Button Visibility"] = true,
    ["%s icon is now %s."] = true,
	["hidden"] = true,
    ["shown"] = true,
	["Menu Options"] = true,
} end)

--- ========================================================= ---
--- Add Tablet
--- ========================================================= ---
local Tablet = AceLibrary("Tablet-2.0")

--- ========================================================= ---
--- Register DB for FuBar
--- ========================================================= ---

EpeenFu = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceDB-2.0", "FuBarPlugin-2.0")
EpeenFu.hasIcon = true
EpeenFu.hasNoText = false
EpeenFu.cannotDetachTooltip = true
EpeenFu.hideWithoutStandby = true
EpeenFu.hideMenuTitle = true
EpeenFu.defaultMinimapPosition = 180
EpeenFu.clickableTooltip = true
EpeenFu.OnMenuRequest = Epeen.Options

Epeen.hideMenuTitle = true

EpeenFu:RegisterDB("EpeenFuDB")
EpeenFu:RegisterDefaults("profile", {
	buttonSize = 5,
	buttonSpacing = 5,
		visible = {
		["Previous"] = true,
		["Stop"] = true,
		["Play"] = true,
		["Next"] = true,
	},
})

--- ========================================================= ---
--- Set Images Folder
--- ========================================================= ---
Epeen_IMG = "Interface\\AddOns\\Epeen\\Images\\"

--- ========================================================= ---
--- On Enable
--- ========================================================= ---
function EpeenFu:OnEnable()
	local args = AceLibrary("FuBarPlugin-2.0"):GetAceOptionsDataTable(self)
	if not EpeenFu.OnMenuRequest.args.settings.args.FuBarMenu then
		EpeenFu.OnMenuRequest.args.settings.args.FuBarMenu = {
			type = "group",
			name = L["Menu Options"],
			desc = L["Menu Options"],
			args = args,
			order = 403,
		}
	end
end