--[[

Name: Epeen FuBar Settings
Revision: $Revision: 26721 $
Date: $Date: 2007-01-31 15:17:44 -0500 (Wed, 31 Jan 2007) $
Author(s): benumbed (someone@somewhere.com)
Website: http://www.wowace.com/wiki/Epeen
Documentation: http://www.wowace.com/wiki/Epeen
SVN: http://svn.wowace.com/root/trunk/Epeen
Description: A Module to change various FuBar Settings in Epeen.
Dependencies: Ace2, FuBar, Epeen

]]--

if not IsAddOnLoaded("FuBar") then return end

--- ========================================================= ---
--- Revision
--- ========================================================= ---

local Revision = tonumber(string.sub("$Revision: 26721 $", 12, -3))
if not Revision then
	Revision = "2.0"
end

--- ========================================================= ---
--- Add Locale
--- ========================================================= ---
local L = AceLibrary("AceLocale-2.2"):new("EpeenFuBarSettings")

L:RegisterTranslations("enUS", function() return {
	["FuBar Settings"] = true,
} end)

--- ========================================================= ---
--- Register New Module
--- ========================================================= ---

EpeenFuBarSettings = Epeen:NewModule("FuBarSettings")

--- ========================================================= ---
--- On Initialize
--- ========================================================= ---

function EpeenFuBarSettings:OnInitialize()
    self.db = Epeen:AcquireDBNamespace("FuBarSettings")

	EpeenFuBarSettings.defaultDB = {
    }
	
	Epeen:RegisterDefaults("FuBarSettings", "profile", opts or EpeenFuBarSettings.defaultDB or {})
    
	local bluecolor = "|cFF0099CC"
	local lbluecolor = "|cFF77BBFF"
	
	Epeen.Options.args.settings.args.FuBarSettingsBlank = {
       	type = "header",
		order = 399,
	}
	
	Epeen.Options.args.settings.args.FuBarSettings = {
		name = lbluecolor..L["FuBar Settings"],
		icon = "Interface\\GossipFrame\\BinderGossipIcon",
       	type = "header",
		order = 400,
	}
	
end

--- ========================================================= ---
--- Reset DB
--- ========================================================= ---

local function copyTable(to, from)
	setmetatable(to, nil)
	for k,v in pairs(from) do
		if type(k) == "table" then
			k = copyTable({}, k)
		end
		if type(v) == "table" then
			v = copyTable({}, v)
		end
		to[k] = v
	end
	setmetatable(to, from)
	return to
end

function EpeenFuBarSettings:ResetDB()
	copyTable(self.db.profile, EpeenFuBarSettings.defaultDB)
end