﻿--[[

Name: Epeen Target
Revision: $Revision: 27643 $
Date: $Date: 2007-02-09 12:28:47 -0500 (Fri, 09 Feb 2007) $
Author(s): benumbed (someone@somewhere.com)
Website: http://www.wowace.com/wiki/Epeen
Documentation: http://www.wowace.com/wiki/Epeen
SVN: http://svn.wowace.com/root/trunk/Epeen
Description: A module to show Epeen information in Target.
Dependencies: Ace2, Epeen

]]--

--- ========================================================= ---
--- Revision
--- ========================================================= ---

local Revision = tonumber(string.sub("$Revision: 27643 $", 12, -3))
if not Revision then
	Revision = "2.0"
end

--- ========================================================= ---
--- Add Locale
--- ========================================================= ---
local L = AceLibrary("AceLocale-2.2"):new("TargetFrame")

L:RegisterTranslations("enUS", function() return {
    ["Target"] = true,
    ["Toggle showing Epeen information in Target"] = true,
	
    ["Show"] = true,
    ["Toggle showing of buttons/text on Target"] = true,
	
    ["Show KoS Button"] = true,
    ["Toggles showing the KoS Button on Target"] = true,
	
    ["Show Friendly Button"] = true,
    ["Toggles showing the Friendly Button on Target"] = true,
	
    ["Show KoS/Friendly Text"] = true,
    ["Toggles showing the KoS/Friendly Text on Target"] = true,
	
	["Target Frame Buttons Lock"] = true,
    ["Toggle the Target Frame Buttons Lock Status"] = true,
	
	["Show Chat Notifications"] = true,
    ["Toggles Showing Chat Notifications"] = true,

    ["Toggle"] = true,
    ["Toggle the Module On and Off"] = true,
	
	["Left Click to Add"] = true,
	["Left Click to Remove"] = true,
	
	["Right Click to Add"] = true,
	["Right Click to Remove"] = true,
	
	["Player"] = true,
	["Guild"] = true,
	
	["to KoS"] = true,
	["from KoS"] = true,
	
	["to Friendly"] = true,
	["from Friendly"] = true,
	
	["Adding"] = true,
	["Removing"] = true,
	["to Player KoS"] = true,
	["from Player KoS"] = true,
	["to Guild KoS"] = true,
	["from Guild KoS"] = true,
	
	["to Player Friendly"] = true,
	["from Player Friendly"] = true,
	["to Guild Friendly"] = true,
	["from Guild Friendly"] = true,
	
	["KoS"] = true,
	["Friendly"] = true,
	
	["Player KoS"] = true,
	["Player Friendly"] = true,
	["Guild KoS"] = true,
	["Guild Friendly"] = true,
	
	["Epeen"] = true,
	
} end)

--- ========================================================= ---
--- Register New Module
--- ========================================================= ---

EpeenTargetFrame = Epeen:NewModule("TargetFrame")

--- ========================================================= ---
--- On Initialize
--- ========================================================= ---

function EpeenTargetFrame:OnInitialize()
    self.db = Epeen:AcquireDBNamespace("TargetFrame")
	
    EpeenTargetFrame.defaultDB = {
        on = true,
		show = {true, true, true},
		lock = false,
		chatnotify = false,
    }
	
	Epeen:RegisterDefaults("TargetFrame", "profile", opts or EpeenTargetFrame.defaultDB or {})
	
    Epeen:ToggleModuleActive("TargetFrame", self.db.profile.on)
  
	
	local bluecolor = "|cFF0099CC"
	local lbluecolor = "|cFF77BBFF"
	
	Epeen.Options.args.settings.args.Target = {
        name = L["Target"],
        desc = L["Toggle showing Epeen information in Target"],
        type = "group",
		order = 105,
        args = { },
	}
	
	Epeen.Options.args.settings.args.Target.args.TargetHeader = {
		name = bluecolor..L["Target"].."  |c88888888"..Revision,
		icon = "Interface\\Addons\\Epeen\\icon.tga",
		iconHeight = 14,
		iconWidth = 14,
		order = 1,
		type = "header",
    }
	
	Epeen.Options.args.settings.args.Target.args.TargetHeaderBlank = {
		order = 2,
		type = "header",
	}
	
	Epeen.Options.args.settings.args.Target.args.ButtonShow = {
        name = L["Show"],
        desc = L["Toggle showing of buttons/text on Target"],
		order = 100,
        type = "group",
        args = {
        	kosframe = {
            	name = string.format(L["Show KoS Button"], 1),
                desc = string.format(L["Toggles showing the KoS Button on Target"], 1),
				order = 1,
                type = "toggle",
                get = function() return self.db.profile.show[1] end,
                set = function(v) self.db.profile.show[1] = v end
            },
			friendlyframe = {
                name = string.format(L["Show Friendly Button"], 2),
                desc = string.format(L["Toggles showing the Friendly Button on Target"], 2),
				order = 2,
                type = "toggle",
                get = function() return self.db.profile.show[2] end,
                set = function(v) self.db.profile.show[2] = v end
            },
			kosfriendlytext = {
                name = string.format(L["Show KoS/Friendly Text"], 2),
                desc = string.format(L["Toggles showing the KoS/Friendly Text on Target"], 2),
				order = 2,
                type = "toggle",
                get = function() return self.db.profile.show[2] end,
                set = function(v) self.db.profile.show[2] = v end
            },
		},
	}
	
	Epeen.Options.args.settings.args.Target.args.ButtonLockBlank = {
		order = 149,
		type = "header",
	}
	
	Epeen.Options.args.settings.args.Target.args.ButtonLock = {
        name = L["Target Frame Buttons Lock"],
        desc = L["Toggle the Target Frame Buttons Lock Status"],
		order = 150,
        type = "toggle",
        get = function() return self.db.profile.lock end,
        set = function() self.db.profile.lock = not self.db.profile.lock end
	}
	
	Epeen.Options.args.settings.args.Target.args.TargetChatNotifyBlank = {
       	type = "header",
		order = 174,
	}
	
	Epeen.Options.args.settings.args.Target.args.TargetChatNotify = {
		name = string.format(L["Show Chat Notifications"], 1),
        desc = string.format(L["Toggles Showing Chat Notifications"], 1),
		order = 175,
        type = "toggle",
        get = function() return self.db.profile.chatnotify end,
        set = function() self.db.profile.chatnotify = not(self.db.profile.chatnotify) end
	}
	
	Epeen.Options.args.settings.args.Target.args.TargetToggleBlank = {
       	type = "header",
		order = 195,
	}
	
    Epeen.Options.args.settings.args.Target.args.TargetToggle = {
    	name = L["Toggle"],
        desc = L["Toggle the Module On and Off"],
		order = 200,
        type = "toggle",
        get = function() return self.db.profile.on end,
        set = function() self.db.profile.on = Epeen:ToggleModuleActive("TargetFrame") end
    }
	
	self.title   = L["Epeen"]
	
end

--- ========================================================= ---
--- On Enable
--- ========================================================= ---

function EpeenTargetFrame:OnEnable()
	self:RegisterEvent("PLAYER_TARGET_CHANGED");
	
	self:SecureHook("UnitPopup_OnClick")
	
	if EpeenKoS then
		UnitPopupButtons["EPEEN_KOS"] = { text = TEXT("Add to KoS"), dist = 0 }
		tinsert(UnitPopupMenus["PLAYER"], getn(UnitPopupMenus["PLAYER"])-1, "EPEEN_KOS")
	end
	if EpeenFriendly then
		UnitPopupButtons["EPEEN_FRIENDLY"] = { text = TEXT("Add to Friendly"), dist = 0 }
		tinsert(UnitPopupMenus["PLAYER"], getn(UnitPopupMenus["PLAYER"])-1, "EPEEN_FRIENDLY")
	end
end

--- ========================================================= ---
--- Reset DB
--- ========================================================= ---

local function copyTable(to, from)
	setmetatable(to, nil)
	for k,v in pairs(from) do
		if type(k) == "table" then
			k = copyTable({}, k)
		end
		if type(v) == "table" then
			v = copyTable({}, v)
		end
		to[k] = v
	end
	setmetatable(to, from)
	return to
end

function EpeenTargetFrame:ResetDB()
	copyTable(self.db.profile, EpeenTargetFrame.defaultDB)
end

--- ========================================================= ---
--- Check KoS Lock
--- ========================================================= ---

function EpeenTargetFrame:KoSCheckLock()
	if not self.db.profile.lock then
		if(arg1 == "LeftButton") then
			EpeenTarget_AddtoKoSFrame:StartMoving();
		end
	end
end

--- ========================================================= ---
--- Check Friendly Lock
--- ========================================================= ---

function EpeenTargetFrame:FriendlyCheckLock()
	if not self.db.profile.lock then
		if(arg1 == "LeftButton") then
			EpeenTarget_AddtoFriendlyFrame:StartMoving();
		end
	end
end

--- ========================================================= ---
--- Check KoS/Friendly Text Lock
--- ========================================================= ---

function EpeenTargetFrame:KoSFriendlyTextCheckLock()
	if not self.db.profile.lock then
		if(arg1 == "LeftButton") then
			EpeenTarget_KoSFriendlyFrame:StartMoving();
		end
	end
end

--- ========================================================= ---
--- PLAYER_TARGET_CHANGED
--- ========================================================= ---

function EpeenTargetFrame:PLAYER_TARGET_CHANGED()

	if UnitExists("target") and UnitIsPlayer("target") then
	
		if (self.db.profile.show[1] == true) then
			EpeenTarget_AddtoKoSFrame:Show();
		end
		
		if (self.db.profile.show[2] == true) then
			EpeenTarget_AddtoFriendlyFrame:Show();
		end
		
		if (self.db.profile.show[3] == true) then
			EpeenTarget_KoSFriendlyFrame:Show();
			EpeenTargetFrame:SetKoSFriendlyText();
		end
		
	else
		EpeenTarget_AddtoKoSFrame:Hide();
		EpeenTarget_AddtoFriendlyFrame:Hide();
		EpeenTarget_KoSFriendlyFrame:Hide();
	end

end

--- ========================================================= ---
--- Set KoS/Friendly Text
--- ========================================================= ---

function EpeenTargetFrame:SetKoSFriendlyText()

	if not UnitExists("target") then
		return
	end
	
	local targetName = UnitName("target");
	local targetNamelc = string.gsub(string.lower(targetName), "%s", "_");
	
	local targetGuild = GetGuildInfo("target");
	
	local targetGuildlc = nil;
	if targetGuild then
		targetGuildlc = string.gsub(string.lower(targetGuild), "%s", "_");
	end

	if EpeenKoS then
		if EpeenKoS.db.profile.kosplayer[targetNamelc] then
			KoSFriendlyText:SetText(L["KoS"]);
			KoSFriendlyText:SetTextColor(1, 0, 0);
			return;
		elseif EpeenKoS.db.profile.kosguild[targetGuildlc] then
			KoSFriendlyText:SetText(L["KoS"]);
			KoSFriendlyText:SetTextColor(1, 0, 0);
			return;
		else
			KoSFriendlyText:SetText("");
			KoSFriendlyText:SetTextColor(1, 1, 1);
		end
	else
		KoSFriendlyText:SetText("");
		KoSFriendlyText:SetTextColor(1, 1, 1);
	end
	
	if EpeenFriendly then
		if EpeenFriendly.db.profile.friendlyplayer[targetNamelc] then
			KoSFriendlyText:SetText(L["Friendly"]);
			KoSFriendlyText:SetTextColor(0, 1, 0);
			return;
		elseif EpeenFriendly.db.profile.friendlyguild[targetGuildlc] then
			KoSFriendlyText:SetText(L["Friendly"]);
			KoSFriendlyText:SetTextColor(0, 1, 0);
			return;
		else
			KoSFriendlyText:SetText("");
			KoSFriendlyText:SetTextColor(1, 1, 1);
		end
	else
		KoSFriendlyText:SetText("");
		KoSFriendlyText:SetTextColor(1, 1, 1);
	end

end

--- ========================================================= ---
--- KoS Button On Enter
--- ========================================================= ---

function EpeenTargetFrame:KoS_OnEnter()
	
	if not UnitExists("target") then
		return
	end
	
	local tooltip;
	local targetName = UnitName("target");
	local targetGuild = GetGuildInfo("target");
	
	local targetNamelc = string.gsub(string.lower(targetName), "%s", "_");
	
	local targetGuildlc = nil;
	if targetGuild then
		targetGuildlc = string.gsub(string.lower(targetGuild), "%s", "_");
	end
	
	if EpeenKoS then
		if EpeenKoS.db.profile.kosplayer[targetNamelc] then
			tooltip = "|cFFFFFF00";
			tooltip = tooltip .. "" .. L["Left Click to Remove"].." "..targetName.." "..L["from KoS"].." ("..L["Player"]..")"
		else
			tooltip = "|cFFFFFF00";
			tooltip = tooltip .. "" .. L["Left Click to Add"].." "..targetName.." "..L["to KoS"].." ("..L["Player"]..")"
		end
	end
	
	if EpeenKoS and targetGuildlc ~= nil then
		if EpeenKoS.db.profile.kosguild[targetGuildlc] then
			tooltip = tooltip .. "\n";
			tooltip = tooltip .. "" .. L["Right Click to Remove"].." "..targetGuild.." "..L["from KoS"].." ("..L["Guild"]..")"
		else
			tooltip = tooltip .. "\n";
			tooltip = tooltip .. "" .. L["Right Click to Add"].." "..targetGuild.." "..L["to KoS"].." ("..L["Guild"]..")"
		end
	end
	
	GameTooltip:SetBackdropColor(0.5, 0, 0);
	GameTooltip:SetOwner(this, "ANCHOR_RIGHT");
	GameTooltip:SetText(tooltip);
	GameTooltip:Show();

end

--- ========================================================= ---
--- Friendly Button On Enter
--- ========================================================= ---

function EpeenTargetFrame:Friendly_OnEnter()
	
	if not UnitExists("target") then
		return
	end
	
	local tooltip;
	local targetName = UnitName("target");
	local targetGuild = GetGuildInfo("target");
	
	local targetNamelc = string.gsub(string.lower(targetName), "%s", "_");
	
	local targetGuildlc = nil;
	if targetGuild then
		targetGuildlc = string.gsub(string.lower(targetGuild), "%s", "_");
	end
	
	if EpeenFriendly then
		if EpeenFriendly.db.profile.friendlyplayer[targetNamelc] then
			tooltip = "|cFFFFFF00";
			tooltip = tooltip .. "" .. L["Left Click to Remove"].." "..targetName.." "..L["from Friendly"].." ("..L["Player"]..")"
		else
			tooltip = "|cFFFFFF00";
			tooltip = tooltip .. "" .. L["Left Click to Add"].." "..targetName.." "..L["to Friendly"].." ("..L["Player"]..")"
		end
	end
	
	if EpeenFriendly and targetGuildlc ~= nil then
		if EpeenFriendly.db.profile.friendlyguild[targetGuildlc] then
			tooltip = tooltip .. "\n";
			tooltip = tooltip .. "" .. L["Right Click to Remove"].." "..targetGuild.." "..L["from Friendly"].." ("..L["Guild"]..")"
		else
			tooltip = tooltip .. "\n";
			tooltip = tooltip .. "" .. L["Right Click to Add"].." "..targetGuild.." "..L["to Friendly"].." ("..L["Guild"]..")"
		end
	end
	
	GameTooltip:SetBackdropColor(0, 0, 0.5);
	GameTooltip:SetOwner(this, "ANCHOR_RIGHT");
	GameTooltip:SetText(tooltip);
	GameTooltip:Show();

end

--- ========================================================= ---
--- KoS/Friendly Button Text On Enter
--- ========================================================= ---

function EpeenTargetFrame:KoSFriendlyText_OnEnter()

	if not UnitExists("target") then
		return
	end
	
	local tooltip;
	local targetName = UnitName("target");
	local targetGuild = GetGuildInfo("target");
	
	local targetNamelc = string.gsub(string.lower(targetName), "%s", "_");
	
	local targetGuildlc = nil;
	if targetGuild then
		targetGuildlc = string.gsub(string.lower(targetGuild), "%s", "_");
	end
	
	if EpeenKoS then
		if EpeenKoS.db.profile.kosplayer[targetNamelc] then
			tooltip = "|cFFFFFF00";
			tooltip = tooltip .. "" .. L["Player KoS"];
			
			if EpeenKoS.db.profile.kosplayer[targetNamelc].reason then
				if EpeenKoS.db.profile.kosplayer[targetNamelc].reason ~= nil and EpeenKoS.db.profile.kosplayer[targetNamelc].reason ~= "" then
					tooltip = tooltip .. "\n";
					tooltip = tooltip .. "" .. EpeenKoS.db.profile.kosplayer[targetNamelc].reason;
				end
			end
			
			GameTooltip:SetBackdropColor(0.5, 0, 0);
			GameTooltip:SetOwner(this, "ANCHOR_RIGHT");
			GameTooltip:SetText(tooltip);
			GameTooltip:Show();
			
			return;	

		end
	end
	
	if EpeenKoS and targetGuildlc ~= nil then
		if EpeenKoS.db.profile.kosguild[targetGuildlc] then
			tooltip = "|cFFFFFF00";
			tooltip = tooltip .. "" .. L["Guild KoS"];
			
			if EpeenKoS.db.profile.kosguild[targetGuildlc].reason then
				if EpeenKoS.db.profile.kosguild[targetGuildlc].reason ~= nil and EpeenKoS.db.profile.kosguild[targetGuildlc].reason ~= "" then
					tooltip = tooltip .. "\n";
					tooltip = tooltip .. "" .. EpeenKoS.db.profile.kosguild[targetGuildlc].reason;
				end
			end
			
			GameTooltip:SetBackdropColor(0.5, 0, 0);
			GameTooltip:SetOwner(this, "ANCHOR_RIGHT");
			GameTooltip:SetText(tooltip);
			GameTooltip:Show();
			
			return;	

		end
	end
	
	if EpeenFriendly then
		if EpeenFriendly.db.profile.friendlyplayer[targetNamelc] then
			tooltip = "|cFFFFFF00";
			tooltip = tooltip .. "" .. L["Player Friendly"];
			
			if EpeenFriendly.db.profile.friendlyplayer[targetNamelc].reason then
				if EpeenFriendly.db.profile.friendlyplayer[targetNamelc].reason ~= nil and EpeenFriendly.db.profile.friendlyplayer[targetNamelc].reason ~= "" then
					tooltip = tooltip .. "\n";
					tooltip = tooltip .. "" .. EpeenFriendly.db.profile.friendlyplayer[targetNamelc].reason;
				end
			end
			
			GameTooltip:SetBackdropColor(0, 0, 0.5);
			GameTooltip:SetOwner(this, "ANCHOR_RIGHT");
			GameTooltip:SetText(tooltip);
			GameTooltip:Show();
			
			return;	

		end
	end
	
	if EpeenFriendly and targetGuildlc ~= nil then
		if EpeenFriendly.db.profile.friendlyguild[targetGuildlc] then
			tooltip = "|cFFFFFF00";
			tooltip = tooltip .. "" .. L["Guild Friendly"];
			
			if EpeenFriendly.db.profile.friendlyguild[targetGuildlc].reason then
				if EpeenFriendly.db.profile.friendlyguild[targetGuildlc].reason ~= nil and EpeenFriendly.db.profile.friendlyguild[targetGuildlc].reason ~= "" then
					tooltip = tooltip .. "\n";
					tooltip = tooltip .. "" .. EpeenFriendly.db.profile.friendlyguild[targetGuildlc].reason;
				end
			end
			
			GameTooltip:SetBackdropColor(0, 0, 0.5);
			GameTooltip:SetOwner(this, "ANCHOR_RIGHT");
			GameTooltip:SetText(tooltip);
			GameTooltip:Show();
			
			return;	

		end
	end

end

--- ========================================================= ---
--- KoS Player Button Pressed
--- ========================================================= ---

function EpeenTargetFrame:KoSPlayerPressed()

   if( IsShiftKeyDown() ) then
      return;
   end
   
   	if not UnitExists("target") then
		return
	end
	
	local targetName = UnitName("target");
	local targetNamelc = string.gsub(string.lower(targetName), "%s", "_");

	if (EpeenKoS.db.profile.kosplayer[targetNamelc]) then
		EpeenKoS.db.profile.kosplayer[targetNamelc] = nil;
		
		if self.db.profile.chatnotify then
			self:Print(L["Removing"].." "..targetName.." "..L["from Player KoS"])
		end
	else
		EpeenKoS.db.profile.kosplayer[targetNamelc] = {};
		EpeenKoS.db.profile.kosplayer[targetNamelc]["name"] = targetName;
		EpeenKoS.db.profile.kosplayer[targetNamelc]["reason"] = "";
		
		if self.db.profile.chatnotify then
			self:Print(L["Adding"].." "..targetName.." "..L["to Player KoS"])
		end
		
		if EpeenShare then
			self:TriggerEvent("EpeenShareSend", "Player KoS", targetNamelc, "Single")
		end
	end
end

--- ========================================================= ---
--- KoS Guild Button Pressed
--- ========================================================= ---

function EpeenTargetFrame:KoSGuildPressed()

   if( IsShiftKeyDown() ) then
      return;
   end
   
   	if not UnitExists("target") then
		return
	end
	
	local targetGuild = GetGuildInfo("target");
	
	local targetGuildlc = nil;
	if targetGuild then
		targetGuildlc = string.gsub(string.lower(targetGuild), "%s", "_");
	else
		return;
	end
	
	if (EpeenKoS.db.profile.kosguild[targetGuildlc]) then
		EpeenKoS.db.profile.kosguild[targetGuildlc] = nil;
		
		if self.db.profile.chatnotify then
			self:Print(L["Removing"].." "..targetGuild.." "..L["from Guild KoS"])
		end
	else
		EpeenKoS.db.profile.kosguild[targetGuildlc] = {};
		EpeenKoS.db.profile.kosguild[targetGuildlc]["name"] = targetGuild;
		EpeenKoS.db.profile.kosguild[targetGuildlc]["reason"] = "";
		
		if self.db.profile.chatnotify then
			self:Print(L["Adding"].." "..targetGuild.." "..L["to Guild KoS"])
		end
		
		if EpeenShare then
			self:TriggerEvent("EpeenShareSend", "Guild KoS", targetGuildlc, "Single")
		end
	end
end

--- ========================================================= ---
--- Friendly Player Button Pressed
--- ========================================================= ---

function EpeenTargetFrame:FriendlyPlayerPressed()

   if( IsShiftKeyDown() ) then
      return;
   end
   
   	if not UnitExists("target") then
		return
	end
	
	local targetName = UnitName("target");
	local targetNamelc = string.gsub(string.lower(targetName), "%s", "_");

	if (EpeenFriendly.db.profile.friendlyplayer[targetNamelc]) then
		EpeenFriendly.db.profile.friendlyplayer[targetNamelc] = nil;
		
		if self.db.profile.chatnotify then
			self:Print(L["Removing"].." "..targetName.." "..L["from Player Friendly"])
		end
	else
		EpeenFriendly.db.profile.friendlyplayer[targetNamelc] = {};
		EpeenFriendly.db.profile.friendlyplayer[targetNamelc]["name"] = targetName;
		EpeenFriendly.db.profile.friendlyplayer[targetNamelc]["reason"] = "";
		
		if self.db.profile.chatnotify then
			self:Print(L["Adding"].." "..targetName.." "..L["to Player Friendly"])
		end
		
		if EpeenShare then
			self:TriggerEvent("EpeenShareSend", "Player Friendly", targetNamelc, "Single")
		end
	end
end

--- ========================================================= ---
--- Friendly Guild Button Pressed
--- ========================================================= ---

function EpeenTargetFrame:FriendlyGuildPressed()

   if( IsShiftKeyDown() ) then
      return;
   end
   
   	if not UnitExists("target") then
		return
	end
	
	local targetGuild = GetGuildInfo("target");
	
	local targetGuildlc = nil;
	if targetGuild then
		targetGuildlc = string.gsub(string.lower(targetGuild), "%s", "_");
	else
		return;
	end
	
	if (EpeenFriendly.db.profile.friendlyguild[targetGuildlc]) then
		EpeenFriendly.db.profile.friendlyguild[targetGuildlc] = nil;
		
		if self.db.profile.chatnotify then
			self:Print(L["Removing"].." "..targetGuild.." "..L["from Guild Friendly"])
		end
	else
		EpeenFriendly.db.profile.friendlyguild[targetGuildlc] = {};
		EpeenFriendly.db.profile.friendlyguild[targetGuildlc]["name"] = targetGuild;
		EpeenFriendly.db.profile.friendlyguild[targetGuildlc]["reason"] = "";
		
		if self.db.profile.chatnotify then
			self:Print(L["Adding"].." "..targetGuild.." "..L["to Guild Friendly"])
		end
		
		if EpeenShare then
			self:TriggerEvent("EpeenShareSend", "Guild Friendly", targetGuildlc, "Single")
		end
	end
end

--- ========================================================= ---
--- UnitPopup_OnClick
--- ========================================================= ---

function EpeenTargetFrame:UnitPopup_OnClick()
	local dropdownFrame = getglobal(UIDROPDOWNMENU_INIT_MENU)
	local button = this.value
	local name = dropdownFrame.name
	
	if (button == "EPEEN_KOS") then
		Epeen_Popup:Show();
		
		EpeenKoSType = 1;
		EpeenPopupType = "KoS"
		
		local target = UnitName("target");
		field = getglobal("Epeen_Popup_Name");
		field:SetText(target);
		
		EpeenLabelText:SetText("Player KoS");
	end
	
	if (button == "EPEEN_FRIENDLY") then
		Epeen_Popup:Show();
		
		EpeenFriendlyType = 1;
		EpeenPopupType = "Friendly"
		
		local target = UnitName("target");
		field = getglobal("Epeen_Popup_Name");
		field:SetText(target);
		
		EpeenLabelText:SetText("Player Friendly");
	end
end